Subject: Re: [PATCH V4 3/3] ARM: dts: imx53: Add Menlosystems M53 board

From: Shawn Guo <[email-masked]>
Date: Thu, 11 Apr 2019 11:15:37 +0800

On Wed, Apr 10, 2019 at 11:30:01PM -0300, Fabio Estevam wrote:
> Hi Shawn,
> 
> On Wed, Apr 10, 2019 at 10:49 PM Shawn Guo <[email-masked]> wrote:
> 
> > > The reference manual only indicates there's a MUX_MODE bit for those
> > > signals, there are no other configuration values. So I presume this is
> > > actually correct ?
> >
> > Configuring the pads with unknown values is not a correct thing to me.
> > Again, we are trying to get away from using 0x80000000, so please do not
> > introduce more.
> 
> Looking at the i.MX53 Reference these LVDS pins look different from
> the others because they do not have the associated IOMUXC_SW_PAD_CTL
> register, only the IOMUXC_SW_MUX_CTL_PAD_LVDS0_CLK_P is present. This
> means that we don't have a real value to put in the devicetree, so
> 0x80000000 makes sense in this case.

Okay.  @Marek, please add the comment into the code.

Shawn

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel